package com.four.common.duck.communitypatients;

/**
 * @program: four-common-duck
 * @author: spc
 * @create: 2023-10-27 16:26
 * @Version 1.0
 **/

import lombok.Data;

import java.util.Date;

/**
 * 收藏记录表
 */

@Data
public class DetailCollectionRecord  {
    /**
     * 收藏记录id
     */
    private Long detailCollectionRecordId;

    /**
     * 收藏记录人
     */
    private String detailCollectionRecordUser;

    /**
     * 收藏病友圈
     */
    private Long detailsPatientCircleId;

    /**
     * 收藏时间
     */
    private Date detailCollectionRecordTime;

    /**
     * 创建者
     */
    private String detailCollectionRecordFounder;

    /**
     * 创建时间
     */
    private Date detailCollectionRecordFounderTime;
}

