package com.four.common.duck.communitypatients;

import java.util.Date;

/**
 * 详情表中的评论表
 */
public class DetailedReview {

    /**
     * 详情表中的评论id
     */
    private Long detailedReviewId;

    /**
     * 病友圈详情id
     */
    private Long detailsPatientCircleId;

    /**
     * 评论时间
     */
    private Date commentTime;

    /**
     * 评论人id
     */
    private Long reviewerId;

    /**
     * 点赞次数
     */
    private Long numberLikes;

    /**
     * 嘲讽次数
     */
    private Long tauntCount;

    /***
     * 评论内容
     * @return
     */
    private String detailedReviewName;


    /**
     * 状态1：未采纳；状态2：采纳
     */
    private Integer detailedReviewStatus;

    /**
     *创建人
     */
    private String detailedReviewFounder;

    /**
     *创建时间
     */
    private Date detailedReviewFounderTime;

    /**
     * 修改人
     */
    private String detailedReviewModificator;

    /**
     * 修改时间
     */
    private Date detailedReviewModificatorTime;

    public String getDetailedReviewFounder() {
        return detailedReviewFounder;
    }

    public void setDetailedReviewFounder(String detailedReviewFounder) {
        this.detailedReviewFounder = detailedReviewFounder;
    }

    public Date getDetailedReviewFounderTime() {
        return detailedReviewFounderTime;
    }

    public void setDetailedReviewFounderTime(Date detailedReviewFounderTime) {
        this.detailedReviewFounderTime = detailedReviewFounderTime;
    }

    public String getDetailedReviewModificator() {
        return detailedReviewModificator;
    }

    public void setDetailedReviewModificator(String detailedReviewModificator) {
        this.detailedReviewModificator = detailedReviewModificator;
    }

    public Date getDetailedReviewModificatorTime() {
        return detailedReviewModificatorTime;
    }

    public void setDetailedReviewModificatorTime(Date detailedReviewModificatorTime) {
        this.detailedReviewModificatorTime = detailedReviewModificatorTime;
    }



    public DetailedReview(Long detailedReviewId, Long detailsPatientCircleId, Date commentTime, Long reviewerId, Long numberLikes, Long tauntCount, String name) {
        this.detailedReviewId = detailedReviewId;
        this.detailsPatientCircleId = detailsPatientCircleId;
        this.commentTime = commentTime;
        this.reviewerId = reviewerId;
        this.numberLikes = numberLikes;
        this.tauntCount = tauntCount;
        this.detailedReviewName = detailedReviewName;
    }

    public Long getDetailedReviewId() {
        return detailedReviewId;
    }

    public void setDetailedReviewId(Long detailedReviewId) {
        this.detailedReviewId = detailedReviewId;
    }

    public Long getDetailsPatientCircleId() {
        return detailsPatientCircleId;
    }

    public void setDetailsPatientCircleId(Long detailsPatientCircleId) {
        this.detailsPatientCircleId = detailsPatientCircleId;
    }

    public Date getCommentTime() {
        return commentTime;
    }

    public void setCommentTime(Date commentTime) {
        this.commentTime = commentTime;
    }

    public Long getReviewerId() {
        return reviewerId;
    }

    public void setReviewerId(Long reviewerId) {
        this.reviewerId = reviewerId;
    }

    public Long getNumberLikes() {
        return numberLikes;
    }

    public void setNumberLikes(Long numberLikes) {
        this.numberLikes = numberLikes;
    }

    public Long getTauntCount() {
        return tauntCount;
    }

    public void setTauntCount(Long tauntCount) {
        this.tauntCount = tauntCount;
    }

    public DetailedReview() {
    }

    public String getName() {
        return detailedReviewName;
    }

    public void setName(String name) {
        this.detailedReviewName = name;
    }

    public Integer getDetailedReviewStatus() {
        return detailedReviewStatus;
    }

    public void setDetailedReviewStatus(Integer detailedReviewStatus)  {
        this.detailedReviewStatus = detailedReviewStatus;
    }

    @Override
    public String toString() {
        return "DetailedReview{" +
                "detailedReviewId=" + detailedReviewId +
                ", detailsPatientCircleId=" + detailsPatientCircleId +
                ", commentTime=" + commentTime +
                ", reviewerId=" + reviewerId +
                ", numberLikes=" + numberLikes +
                ", tauntCount=" + tauntCount +
                ", name='" + detailedReviewName + '\'' +
                ", detailedReviewStatus=" + detailedReviewStatus +
                ", detailedReviewFounder='" + detailedReviewFounder + '\'' +
                ", detailedReviewFounderTime=" + detailedReviewFounderTime +
                ", detailedReviewModificator='" + detailedReviewModificator + '\'' +
                ", detailedReviewModificatorTime=" + detailedReviewModificatorTime +
                '}';
    }
}
