package com.four.common.duck.communitypatients;

import lombok.Data;

import java.util.Date;

/**
 * 评论表中的点赞和嘲讽
 */
@Data
public class LikeMock {

    /**
     * 点赞和嘲讽id
     */
    private Long likeMockId;

    /**
     * 点赞或嘲讽人id
     */
    private Long likeMockPeopleId;

    /**
     * 点赞时间
     */
    private Date thumbsTime;

    /**
     * 状态1：代表点赞2：代表嘲讽
     */
    private Long likeMockStatus;

    /**
     *状态1：点赞 状态2：取消
     * @return
     */
    private Long likeCancellationStatus;

    /**
     * 创建人
     * @return
     */
    private String likeMockFounder;

    /**
     * 创建时间
     * @return
     */
    private Date likeMockFounderTime;



    public Long getLikeCancellationStatus() {
        return likeCancellationStatus;
    }

    public void setLikeCancellationStatus(Long likeCancellationStatus) {
        this.likeCancellationStatus = likeCancellationStatus;
    }


    public Long getLikeMockId() {
        return likeMockId;
    }

    public void setLikeMockId(Long likeMockId) {
        this.likeMockId = likeMockId;
    }

    public Long getLikeMockPeopleId() {
        return likeMockPeopleId;
    }

    public void setLikeMockPeopleId(Long likeMockPeopleId) {
        this.likeMockPeopleId = likeMockPeopleId;
    }

    public Date getThumbsTime() {
        return thumbsTime;
    }

    public void setThumbsTime(Date thumbsTime) {
        this.thumbsTime = thumbsTime;
    }

    public Long getLikeMockStatus() {
        return likeMockStatus;
    }

    public void setLikeMockStatus(Long likeMockStatus) {
        this.likeMockStatus = likeMockStatus;
    }


    public LikeMock() {
    }

    public LikeMock(Long likeMockId, Long likeMockPeopleId, Date thumbsTime, Long likeMockStatus) {
        this.likeMockId = likeMockId;
        this.likeMockPeopleId = likeMockPeopleId;
        this.thumbsTime = thumbsTime;
        this.likeMockStatus = likeMockStatus;
    }
}
