package com.four.common.duck.communitypatients;

import java.util.Date;

/**
 * @author: tongCheng
 * @Package: dimensional-health-homePage
 * @ClassName: MedicineDetail
 * @date: 2023-10-25 18:49
 **/
public class MedicineDetail {

    /**
     * 药品详情id
     */
    private Long medicineDetailId;

    /**
     * 药品id
     */
    private Long medicineId;

    /**
     * 药品成分
     */
    private String ingredient;

    /**
     * 用药禁忌
     */
    private String medicineAvoid;

    /**
     * 功能主治
     */
    private String majorFunction;

    /**
     * 用法用量
     */
    private String usageAndDosage;

    /**
     * 药品形状
     */
    private String character;

    /**
     * 包装规格
     */
    private String packageSpecification;

    /**
     * 不良反应
     */
    private String adverseReaction;

    /**
     * 创建人
     */
    private Long createId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private Long updateId;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 状态
     */
    private Integer status;

    public Long getMedicineDetailId() {
        return medicineDetailId;
    }

    public void setMedicineDetailId(Long medicineDetailId) {
        this.medicineDetailId = medicineDetailId;
    }

    public Long getMedicineId() {
        return medicineId;
    }

    public void setMedicineId(Long medicineId) {
        this.medicineId = medicineId;
    }

    public String getIngredient() {
        return ingredient;
    }

    public void setIngredient(String ingredient) {
        this.ingredient = ingredient;
    }

    public String getMedicineAvoid() {
        return medicineAvoid;
    }

    public void setMedicineAvoid(String medicineAvoid) {
        this.medicineAvoid = medicineAvoid;
    }

    public String getMajorFunction() {
        return majorFunction;
    }

    public void setMajorFunction(String majorFunction) {
        this.majorFunction = majorFunction;
    }

    public String getUsageAndDosage() {
        return usageAndDosage;
    }

    public void setUsageAndDosage(String usageAndDosage) {
        this.usageAndDosage = usageAndDosage;
    }

    public String getCharacter() {
        return character;
    }

    public void setCharacter(String character) {
        this.character = character;
    }

    public String getPackageSpecification() {
        return packageSpecification;
    }

    public void setPackageSpecification(String packageSpecification) {
        this.packageSpecification = packageSpecification;
    }

    public String getAdverseReaction() {
        return adverseReaction;
    }

    public void setAdverseReaction(String adverseReaction) {
        this.adverseReaction = adverseReaction;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public MedicineDetail() {
    }

    public MedicineDetail(Long medicineDetailId, Long medicineId, String ingredient, String medicineAvoid, String majorFunction, String usageAndDosage, String character, String packageSpecification, String adverseReaction, Long createId, Date createTime, Long updateId, Date updateTime, Integer status) {
        this.medicineDetailId = medicineDetailId;
        this.medicineId = medicineId;
        this.ingredient = ingredient;
        this.medicineAvoid = medicineAvoid;
        this.majorFunction = majorFunction;
        this.usageAndDosage = usageAndDosage;
        this.character = character;
        this.packageSpecification = packageSpecification;
        this.adverseReaction = adverseReaction;
        this.createId = createId;
        this.createTime = createTime;
        this.updateId = updateId;
        this.updateTime = updateTime;
        this.status = status;
    }
}
