package com.four.common.duck.communitypatients;

import com.four.common.duck.request.SymptomsDrugsRequest;

import java.util.List;

/**
 * 常见病症+常见药品表
 */
public class SymptomsDrugs {

    /**
     * 常见病症+常见药品id
     */
    private Long id;

    /**
     * 名称
     */
    private String name;

    /**
     * 与id关联
     */
    private Long pid;

    /**
     * 病症+药品
     */
    private List<SymptomsDrugsRequest> departmentList;

    /**
     * 病症详情
     */
    private List<DiseaseDetail> diseaseDetailList;

    /**
     * 药品详情
     */
    private List<MedicineDetail> medicineDetailList;


    private String aname;
    private String bname;

    public String getAname() {
        return aname;
    }

    public void setAname(String aname) {
        this.aname = aname;
    }

    public String getBname() {
        return bname;
    }

    public void setBname(String bname) {
        this.bname = bname;
    }

    /**
     * 照片路径
     */
    private String img;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getPid() {
        return pid;
    }

    public void setPid(Long pid) {
        this.pid = pid;
    }

    public List<SymptomsDrugsRequest> getDepartmentList() {
        return departmentList;
    }

    public void setDepartmentList(List<SymptomsDrugsRequest> departmentList) {
        this.departmentList = departmentList;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public SymptomsDrugs() {
    }

    public SymptomsDrugs(Long id, String name, Long pid, List<SymptomsDrugsRequest> departmentList, String aname, String bname, String img) {
        this.id = id;
        this.name = name;
        this.pid = pid;
        this.departmentList = departmentList;
        this.aname = aname;
        this.bname = bname;
        this.img = img;
    }
}
