package com.four.common.duck.domain;

/**
 * 签到表
 */
public class Sign {

    /**
     * 签到id
     */
    private Long signId;

    /**
     * 签到状态： 1、未签到 2、已签到
     */
    private Long signStatus;

    /**
     * 是否首发病友圈：1、未首发 2、已首发
     */
    private Long firstPatientCircle;

    /**
     * 是否病友圈首评：1、未评论 2、已评论
     */
    private Long firstReviewPatientCircle;

    /**
     * 是否完善信息：1、未完善 2、已完善
     */
    private Long perfectInformation;

    /**
     * 是否参与健康评测：1、未参与 2、参与
     */
    private Long healthEvaluation;

    /**
     * 用户id:   患者、医生都可以
     */
    private Long userId;

    public Long getSignId() {
        return signId;
    }

    public void setSignId(Long signId) {
        this.signId = signId;
    }

    public Long getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(Long signStatus) {
        this.signStatus = signStatus;
    }

    public Long getFirstPatientCircle() {
        return firstPatientCircle;
    }

    public void setFirstPatientCircle(Long firstPatientCircle) {
        this.firstPatientCircle = firstPatientCircle;
    }

    public Long getFirstReviewPatientCircle() {
        return firstReviewPatientCircle;
    }

    public void setFirstReviewPatientCircle(Long firstReviewPatientCircle) {
        this.firstReviewPatientCircle = firstReviewPatientCircle;
    }

    public Long getPerfectInformation() {
        return perfectInformation;
    }

    public void setPerfectInformation(Long perfectInformation) {
        this.perfectInformation = perfectInformation;
    }

    public Long getHealthEvaluation() {
        return healthEvaluation;
    }

    public void setHealthEvaluation(Long healthEvaluation) {
        this.healthEvaluation = healthEvaluation;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Sign() {
    }

    public Sign(Long signId, Long signStatus, Long firstPatientCircle, Long firstReviewPatientCircle, Long perfectInformation, Long healthEvaluation, Long userId) {
        this.signId = signId;
        this.signStatus = signStatus;
        this.firstPatientCircle = firstPatientCircle;
        this.firstReviewPatientCircle = firstReviewPatientCircle;
        this.perfectInformation = perfectInformation;
        this.healthEvaluation = healthEvaluation;
        this.userId = userId;
    }
}
