package com.four.common.duck.interrogation;

/**
 * 历史问诊
 */
public class HistoricalConsultation {

    /**
     * 历史问诊id
     */
    private Long historicalConsultationId;

    /**
     * 患者id
     */
    private Long patientId;

    /**
     * 医生注册信息id
     */
    private Long registrationInformationId;

    /**
     * 状态1：正在问诊2：结束问诊
     */
    private Integer historicalConsultationStatus;

    public Long getHistoricalConsultationId() {
        return historicalConsultationId;
    }

    public void setHistoricalConsultationId(Long historicalConsultationId) {
        this.historicalConsultationId = historicalConsultationId;
    }

    public Long getPatientId() {
        return patientId;
    }

    public void setPatientId(Long patientId) {
        this.patientId = patientId;
    }

    public Long getRegistrationInformationId() {
        return registrationInformationId;
    }

    public void setRegistrationInformationId(Long registrationInformationId) {
        this.registrationInformationId = registrationInformationId;
    }

    public Integer getHistoricalConsultationStatus() {
        return historicalConsultationStatus;
    }

    public void setHistoricalConsultationStatus(Integer historicalConsultationStatus) {
        this.historicalConsultationStatus = historicalConsultationStatus;
    }

    public HistoricalConsultation() {
    }

    public HistoricalConsultation(Long historicalConsultationId, Long patientId, Long registrationInformationId, Integer historicalConsultationStatus) {
        this.historicalConsultationId = historicalConsultationId;
        this.patientId = patientId;
        this.registrationInformationId = registrationInformationId;
        this.historicalConsultationStatus = historicalConsultationStatus;
    }
}
