package com.four.common.duck.interrogation;

import java.util.Date;

/**
 * 患者评价医生问诊表
 */
public class PatientEvaluator {

    /**
     * 患者评价医生问诊id
     */
    private Long patientEvaluatorId;

    /**
     * 患者评论id
     */
    private Long patientId;

    /**
     * 医生注册信息id
     */
    private Long registrationInformationId;

    /**
     * 评论内容
     */
    private String commentContent;

    /**
     * 评论内容
     */
    private Date commentTime;

    public Long getPatientEvaluatorId() {
        return patientEvaluatorId;
    }

    public void setPatientEvaluatorId(Long patientEvaluatorId) {
        this.patientEvaluatorId = patientEvaluatorId;
    }

    public Long getPatientId() {
        return patientId;
    }

    public void setPatientId(Long patientId) {
        this.patientId = patientId;
    }

    public Long getRegistrationInformationId() {
        return registrationInformationId;
    }

    public void setRegistrationInformationId(Long registrationInformationId) {
        this.registrationInformationId = registrationInformationId;
    }

    public String getCommentContent() {
        return commentContent;
    }

    public void setCommentContent(String commentContent) {
        this.commentContent = commentContent;
    }

    public Date getCommentTime() {
        return commentTime;
    }

    public void setCommentTime(Date commentTime) {
        this.commentTime = commentTime;
    }

    public PatientEvaluator() {
    }

    public PatientEvaluator(Long patientEvaluatorId, Long patientId, Long registrationInformationId, String commentContent, Date commentTime) {
        this.patientEvaluatorId = patientEvaluatorId;
        this.patientId = patientId;
        this.registrationInformationId = registrationInformationId;
        this.commentContent = commentContent;
        this.commentTime = commentTime;
    }
}
