package com.four.common.duck.request;

/**
 * @author: tongCheng
 * @Package: dimensional-health-homePage
 * @ClassName: DiseaseDetailRequest
 * @date: 2023-10-25 21:35
 **/
public class DiseaseDetailRequest {

    /**
     * 病症详情id
     */
    private Long diseaseDetailId;

    /**
     * 病症id
     */
    private Long diseaseId;

    /**
     * 病理
     */
    private String pathology;

    /**
     * 症状
     */
    private String symptom;

    /**
     * 宜与忌
     */
    private String attention;

    /**
     * 西医治疗内容
     */
    private String westernTreatment;

    private String name;

    private Long pid;

    public Long getDiseaseDetailId() {
        return diseaseDetailId;
    }

    public void setDiseaseDetailId(Long diseaseDetailId) {
        this.diseaseDetailId = diseaseDetailId;
    }

    public Long getDiseaseId() {
        return diseaseId;
    }

    public void setDiseaseId(Long diseaseId) {
        this.diseaseId = diseaseId;
    }

    public String getPathology() {
        return pathology;
    }

    public void setPathology(String pathology) {
        this.pathology = pathology;
    }

    public String getSymptom() {
        return symptom;
    }

    public void setSymptom(String symptom) {
        this.symptom = symptom;
    }

    public String getAttention() {
        return attention;
    }

    public void setAttention(String attention) {
        this.attention = attention;
    }

    public String getWesternTreatment() {
        return westernTreatment;
    }

    public void setWesternTreatment(String westernTreatment) {
        this.westernTreatment = westernTreatment;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getPid() {
        return pid;
    }

    public void setPid(Long pid) {
        this.pid = pid;
    }

    public DiseaseDetailRequest() {
    }

    public DiseaseDetailRequest(Long diseaseDetailId, Long diseaseId, String pathology, String symptom, String attention, String westernTreatment, String name, Long pid) {
        this.diseaseDetailId = diseaseDetailId;
        this.diseaseId = diseaseId;
        this.pathology = pathology;
        this.symptom = symptom;
        this.attention = attention;
        this.westernTreatment = westernTreatment;
        this.name = name;
        this.pid = pid;
    }
}
