package com.four.common.duck.request;

import java.util.Date;

/**
 * @author: tongCheng
 * @Package: dimensional-health-homePage
 * @ClassName: MedicineDetail
 * @date: 2023-10-25 18:49
 **/
public class MedicineDetailRequest {

    /**
     * 药品详情id
     */
    private Long medicineDetailId;

    /**
     * 药品id
     */
    private Long medicineId;

    /**
     * 药品成分
     */
    private String ingredient;

    /**
     * 用药禁忌
     */
    private String medicineAvoid;

    /**
     * 功能主治
     */
    private String majorFunction;

    /**
     * 用法用量
     */
    private String usageAndDosage;

    /**
     * 药品形状
     */
    private String character;

    /**
     * 包装规格
     */
    private String packageSpecification;

    /**
     * 不良反应
     */
    private String adverseReaction;

    private String name;

    private Long pid;


    public Long getMedicineDetailId() {
        return medicineDetailId;
    }

    public void setMedicineDetailId(Long medicineDetailId) {
        this.medicineDetailId = medicineDetailId;
    }

    public Long getMedicineId() {
        return medicineId;
    }

    public void setMedicineId(Long medicineId) {
        this.medicineId = medicineId;
    }

    public String getIngredient() {
        return ingredient;
    }

    public void setIngredient(String ingredient) {
        this.ingredient = ingredient;
    }

    public String getMedicineAvoid() {
        return medicineAvoid;
    }

    public void setMedicineAvoid(String medicineAvoid) {
        this.medicineAvoid = medicineAvoid;
    }

    public String getMajorFunction() {
        return majorFunction;
    }

    public void setMajorFunction(String majorFunction) {
        this.majorFunction = majorFunction;
    }

    public String getUsageAndDosage() {
        return usageAndDosage;
    }

    public void setUsageAndDosage(String usageAndDosage) {
        this.usageAndDosage = usageAndDosage;
    }

    public String getCharacter() {
        return character;
    }

    public void setCharacter(String character) {
        this.character = character;
    }

    public String getPackageSpecification() {
        return packageSpecification;
    }

    public void setPackageSpecification(String packageSpecification) {
        this.packageSpecification = packageSpecification;
    }

    public String getAdverseReaction() {
        return adverseReaction;
    }

    public void setAdverseReaction(String adverseReaction) {
        this.adverseReaction = adverseReaction;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getPid() {
        return pid;
    }

    public void setPid(Long pid) {
        this.pid = pid;
    }

    public MedicineDetailRequest() {
    }

    public MedicineDetailRequest(Long medicineDetailId, Long medicineId, String ingredient, String medicineAvoid, String majorFunction, String usageAndDosage, String character, String packageSpecification, String adverseReaction, String name, Long pid) {
        this.medicineDetailId = medicineDetailId;
        this.medicineId = medicineId;
        this.ingredient = ingredient;
        this.medicineAvoid = medicineAvoid;
        this.majorFunction = majorFunction;
        this.usageAndDosage = usageAndDosage;
        this.character = character;
        this.packageSpecification = packageSpecification;
        this.adverseReaction = adverseReaction;
        this.name = name;
        this.pid = pid;
    }
}
