package com.four.common.duck.response;

import lombok.Data;

import java.util.Date;

/**
 * @program: four-common-duck
 * @author: spc
 * @create: 2023-10-20 14:26
 * @Version 1.0
 **/

@Data
public class DetailsPatientCircleDetailedReview {
    /**
     * 病友圈详情id
     */
    private Long detailsPatientCircleId;

    /**
     * 标题
     */
    private String title;

    /**
     * 发布人id
     */
    private Long publisherId;

    /**
     * 病症id
     */
    private Long diseaseId;

    /**
     * 科室id
     */
    private Long departmentId;

    /**
     * 病症详情
     */
    private String detailsSymptoms;

    /**
     * 治疗经历开始时间
     */
    private Date treatmentExperienceStartTime;

    /**
     * 治疗经历结束时间
     */
    private Date treatmentExperienceEndTime;

    /**
     * 治疗经历
     */
    private String treatmentExperience;

    /**
     * 相关图片
     */
    private String relatedPictures;

    /**
     * 提升悬赏额度
     */
    private Long rewardAmount;

    /**
     * 收藏数量
     */
    private Long collectionQuantity;

    /**
     * 评论数量
     */
    private Long numberComments;
    /**
     * 状态1：未采纳，状态2：已采纳
     */
    private Integer detailsPatientCircleStatus;

    //------------------------------------------------------
    //------------------------------------------------------
    //------------------------------------------------------

    /**
     * 详情表中的评论id
     */
    private Long detailedReviewId;

    /**
     * 评论时间
     */
    private Date commentTime;

    /**
     * 评论人id
     */
    private Long reviewerId;

    /**
     * 点赞次数
     */
    private Long numberLikes;

    /**
     * 嘲讽次数
     */
    private Long tauntCount;

    /***
     * 评论内容
     * @return
     */
    private String detailedReviewName;


    /**
     * 状态1：未采纳；状态2：采纳
     */
    private Integer detailedReviewStatus;

    /**
     *创建人
     */
    private String detailedReviewFounder;

    /**
     *创建时间
     */
    private Date detailedReviewFounderTime;

    /**
     * 修改人
     */
    private String detailedReviewModificator;

    /**
     * 修改时间
     */
    private Date detailedReviewModificatorTime;
}

