package com.four.common.duck.video;


import java.math.BigDecimal;

/**
 * 视频表
 */
public class Video {

    /**
     * 视频id
     */
    private Long videoId;

    /**
     * 视频标题
     */
    private String videoTitle;

    /**
     * 视频详情
     */
    private String videoDetails;

    /**
     * 视频路径
     */
    private String videoPath;
    /**
     * 视频价格
     */
    private BigDecimal videoMoney;

    public BigDecimal getVideoMoney() {
        return videoMoney;
    }

    public void setVideoMoney(BigDecimal videoMoney) {
        this.videoMoney = videoMoney;
    }

    public Video(Long videoId, String videoTitle, String videoDetails, String videoPath, BigDecimal videoMoney) {
        this.videoId = videoId;
        this.videoTitle = videoTitle;
        this.videoDetails = videoDetails;
        this.videoPath = videoPath;
        this.videoMoney = videoMoney;
    }

    public Long getVideoId() {
        return videoId;
    }

    public void setVideoId(Long videoId) {
        this.videoId = videoId;
    }

    public String getVideoTitle() {
        return videoTitle;
    }

    public void setVideoTitle(String videoTitle) {
        this.videoTitle = videoTitle;
    }

    public String getVideoDetails() {
        return videoDetails;
    }

    public void setVideoDetails(String videoDetails) {
        this.videoDetails = videoDetails;
    }

    public String getVideoPath() {
        return videoPath;
    }

    public void setVideoPath(String videoPath) {
        this.videoPath = videoPath;
    }

    public Video() {
    }

    public Video(Long videoId, String videoTitle, String videoDetails, String videoPath) {
        this.videoId = videoId;
        this.videoTitle = videoTitle;
        this.videoDetails = videoDetails;
        this.videoPath = videoPath;
    }
}
