package com.four.common.duck.video;

import java.util.Date;

/**
 * 视频评论表
 */
public class VideoReview {

    /**
     * 视频评论id
     */
    private Long videoReviewId;

    /**
     * 视频id
     */
    private Long videoId;

    /**
     * 评论人id
     */
    private Long userId;

    /**
     * 评论时间
     */
    private Date commentTime;

    /**
     * 评论内容
     */
    private String commentContent;

    public Long getVideoReviewId() {
        return videoReviewId;
    }

    public void setVideoReviewId(Long videoReviewId) {
        this.videoReviewId = videoReviewId;
    }

    public Long getVideoId() {
        return videoId;
    }

    public void setVideoId(Long videoId) {
        this.videoId = videoId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Date getCommentTime() {
        return commentTime;
    }

    public void setCommentTime(Date commentTime) {
        this.commentTime = commentTime;
    }

    public String getCommentContent() {
        return commentContent;
    }

    public void setCommentContent(String commentContent) {
        this.commentContent = commentContent;
    }

    public VideoReview() {
    }

    public VideoReview(Long videoReviewId, Long videoId, Long userId, Date commentTime, String commentContent) {
        this.videoReviewId = videoReviewId;
        this.videoId = videoId;
        this.userId = userId;
        this.commentTime = commentTime;
        this.commentContent = commentContent;
    }
}
