package com.four.common.duck.communitypatients;

import java.util.Date;

/**
 * 详情表中的收藏表
 */
public class DetailCollection  {

    /**
     * 详情表中的收藏id
     */
    private Long detailCollectionId;

    /**
     * 病友圈详情id
     */
    private Long detailsPatientCircleId;

    /**
     * 收藏时间
     */
    private Date collectionTime;

    /**
     * 收藏人id
     */
    private Long collectorId;

    /**
     * 收藏状态
     */
    private Integer detailCollectionStatus;

    /**
     * 创建人
     * @return
     */
    private String detailCollectionFounder;

    /**
     * 创建时间
     * @return
     */
    private Date detailCollectionFounderTime;

    /**
     * 修改人
     * @return
     */
    private String detailCollectionModificator;

    /**
     * 修改时间
     * @return
     */
    private Date detailCollectionModificatorTime;


    @Override
    public String toString() {
        return "DetailCollection{" +
                "detailCollectionId=" + detailCollectionId +
                ", detailsPatientCircleId=" + detailsPatientCircleId +
                ", collectionTime=" + collectionTime +
                ", collectorId=" + collectorId +
                ", detailCollectionStatus=" + detailCollectionStatus +
                ", detailCollectionFounder='" + detailCollectionFounder + '\'' +
                ", detailCollectionFounderTime=" + detailCollectionFounderTime +
                ", detailCollectionModificator='" + detailCollectionModificator + '\'' +
                ", detailCollectionModificatorTime=" + detailCollectionModificatorTime +
                '}';
    }

    public Integer getDetailCollectionStatus() {
        return detailCollectionStatus;
    }

    public void setDetailCollectionStatus(Integer detailCollectionStatus) {
        this.detailCollectionStatus = detailCollectionStatus;
    }


    public String getDetailCollectionFounder() {
        return detailCollectionFounder;
    }

    public void setDetailCollectionFounder(String detailCollectionFounder) {
        this.detailCollectionFounder = detailCollectionFounder;
    }

    public Date getDetailCollectionFounderTime() {
        return detailCollectionFounderTime;
    }

    public void setDetailCollectionFounderTime(Date detailCollectionFounderTime) {
        this.detailCollectionFounderTime = detailCollectionFounderTime;
    }

    public String getDetailCollectionModificator() {
        return detailCollectionModificator;
    }

    public void setDetailCollectionModificator(String detailCollectionModificator) {
        this.detailCollectionModificator = detailCollectionModificator;
    }

    public Date getDetailCollectionModificatorTime() {
        return detailCollectionModificatorTime;
    }

    public void setDetailCollectionModificatorTime(Date detailCollectionModificatorTime) {
        this.detailCollectionModificatorTime = detailCollectionModificatorTime;
    }



    public Long getDetailCollectionId() {
        return detailCollectionId;
    }

    public void setDetailCollectionId(Long detailCollectionId) {
        this.detailCollectionId = detailCollectionId;
    }

    public Long getDetailsPatientCircleId() {
        return detailsPatientCircleId;
    }

    public void setDetailsPatientCircleId(Long detailsPatientCircleId) {
        this.detailsPatientCircleId = detailsPatientCircleId;
    }

    public Date getCollectionTime() {
        return collectionTime;
    }

    public void setCollectionTime(Date collectionTime) {
        this.collectionTime = collectionTime;
    }


    public DetailCollection() {
    }

    public DetailCollection(Long detailCollectionId, Long detailsPatientCircleId, Date collectionTime, String collector) {
        this.detailCollectionId = detailCollectionId;
        this.detailsPatientCircleId = detailsPatientCircleId;
        this.collectionTime = collectionTime;
    }

    public Long getCollectorId() {
        return collectorId;
    }

    public void setCollectorId(Long collectorId) {
        this.collectorId = collectorId;
    }
}
