package com.four.common.duck.communitypatients;

import java.util.Date;

/**
 * @author: tongCheng
 * @Package: dimensional-health-homePage
 * @ClassName: DiseaseDetail
 * @date: 2023-10-25 16:56
 **/
public class DiseaseDetail {

    /**
     * 病症详情id
     */
    private Long diseaseDetailId;

    /**
     * 病症id
     */
    private Long diseaseId;

    /**
     * 病理
     */
    private String pathology;

    /**
     * 症状
     */
    private String symptom;

    /**
     * 宜与忌
     */
    private String attention;

    /**
     * 西医治疗内容
     */
    private String westernTreatment;

    /**
     * 创建人id
     */
    private Long createId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private Long updateId;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 详情状态
     */
    private Integer status;

    public Long getDiseaseDetailId() {
        return diseaseDetailId;
    }

    public void setDiseaseDetailId(Long diseaseDetailId) {
        this.diseaseDetailId = diseaseDetailId;
    }

    public Long getDiseaseId() {
        return diseaseId;
    }

    public void setDiseaseId(Long diseaseId) {
        this.diseaseId = diseaseId;
    }

    public String getPathology() {
        return pathology;
    }

    public void setPathology(String pathology) {
        this.pathology = pathology;
    }

    public String getSymptom() {
        return symptom;
    }

    public void setSymptom(String symptom) {
        this.symptom = symptom;
    }

    public String getAttention() {
        return attention;
    }

    public void setAttention(String attention) {
        this.attention = attention;
    }

    public String getWesternTreatment() {
        return westernTreatment;
    }

    public void setWesternTreatment(String westernTreatment) {
        this.westernTreatment = westernTreatment;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Long updateId) {
        this.updateId = updateId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public DiseaseDetail() {
    }

    public DiseaseDetail(Long diseaseDetailId, Long diseaseId, String pathology, String symptom, String attention, String westernTreatment, Long createId, Date createTime, Long updateId, Date updateTime, Integer status) {
        this.diseaseDetailId = diseaseDetailId;
        this.diseaseId = diseaseId;
        this.pathology = pathology;
        this.symptom = symptom;
        this.attention = attention;
        this.westernTreatment = westernTreatment;
        this.createId = createId;
        this.createTime = createTime;
        this.updateId = updateId;
        this.updateTime = updateTime;
        this.status = status;
    }
}
