package com.four.common.duck.domain;

import java.util.Date;

/**
 * 被采纳建议表
 */
public class AcceptedProposal {

    /**
     * 被采纳建议id
     */
    private Long acceptedProposalId;

    /**
     * 详情表中的评论id
     */
    private Long detailedReviewId;

    /**
     * 采纳时间
     */
    private Date adoptionTime;

    /**
     * 创建人
     */
    private String adoptionFounder;

    /**
     * 创建时间
     */
    private Date adoptionFounderTime;

    /**
     * 修改人
     */
    private String adoptionModificator;

    public String getAdoptionFounder() {
        return adoptionFounder;
    }

    public void setAdoptionFounder(String adoptionFounder) {
        this.adoptionFounder = adoptionFounder;
    }

    public Date getAdoptionFounderTime() {
        return adoptionFounderTime;
    }

    public void setAdoptionFounderTime(Date adoptionFounderTime) {
        this.adoptionFounderTime = adoptionFounderTime;
    }

    public String getAdoptionModificator() {
        return adoptionModificator;
    }

    public void setAdoptionModificator(String adoptionModificator) {
        this.adoptionModificator = adoptionModificator;
    }

    public Date getAdoptionModificatorTime() {
        return adoptionModificatorTime;
    }

    public void setAdoptionModificatorTime(Date adoptionModificatorTime) {
        this.adoptionModificatorTime = adoptionModificatorTime;
    }

    /**
     * 修改时间
     */
    private Date adoptionModificatorTime;

    public AcceptedProposal() {
    }

    public AcceptedProposal(Long acceptedProposalId, Long detailedReviewId, Date adoptionTime) {
        this.acceptedProposalId = acceptedProposalId;
        this.detailedReviewId = detailedReviewId;
        this.adoptionTime = adoptionTime;
    }

    public Long getAcceptedProposalId() {
        return acceptedProposalId;
    }

    public void setAcceptedProposalId(Long acceptedProposalId) {
        this.acceptedProposalId = acceptedProposalId;
    }

    public Long getDetailedReviewId() {
        return detailedReviewId;
    }

    public void setDetailedReviewId(Long detailedReviewId) {
        this.detailedReviewId = detailedReviewId;
    }

    public Date getAdoptionTime() {
        return adoptionTime;
    }

    public void setAdoptionTime(Date adoptionTime) {
        this.adoptionTime = adoptionTime;
    }
}
