package com.four.common.duck.domain;

import java.util.Date;

/**
 * 咨询记录表
 */
public class ConsultationRecord {

    /**
     * 咨询记录id
     */
    private Long consultationRecordId;

    /**
     * 咨询时间
     */
    private Date consultationTime;

    /**
     * 咨询人id
     */
    private Long consultantId;

    /**
     * 咨询内容
     */
    private String consultationContent;

    /**
     * 医生注册信息id
     */
    private Long registrationInformationId;

    /**
     * 医生回复的内容
     */
    private String replyContent;

    public Long getConsultationRecordId() {
        return consultationRecordId;
    }

    public ConsultationRecord() {
    }

    public ConsultationRecord(Long consultationRecordId, Date consultationTime, Long consultantId, String consultationContent, Long registrationInformationId, String replyContent) {
        this.consultationRecordId = consultationRecordId;
        this.consultationTime = consultationTime;
        this.consultantId = consultantId;
        this.consultationContent = consultationContent;
        this.registrationInformationId = registrationInformationId;
        this.replyContent = replyContent;
    }

    public void setConsultationRecordId(Long consultationRecordId) {
        this.consultationRecordId = consultationRecordId;
    }

    public Date getConsultationTime() {
        return consultationTime;
    }

    public void setConsultationTime(Date consultationTime) {
        this.consultationTime = consultationTime;
    }

    public Long getConsultantId() {
        return consultantId;
    }

    public void setConsultantId(Long consultantId) {
        this.consultantId = consultantId;
    }

    public String getConsultationContent() {
        return consultationContent;
    }

    public void setConsultationContent(String consultationContent) {
        this.consultationContent = consultationContent;
    }

    public Long getRegistrationInformationId() {
        return registrationInformationId;
    }

    public void setRegistrationInformationId(Long registrationInformationId) {
        this.registrationInformationId = registrationInformationId;
    }

    public String getReplyContent() {
        return replyContent;
    }

    public void setReplyContent(String replyContent) {
        this.replyContent = replyContent;
    }
}
