package com.four.common.duck.domain;

import java.util.Date;

/**
 * 礼物记录表
 */
public class GiftRecord {

    /**
     * 礼物记录id
     */
    private Long giftRecordId;

    /**
     * 送礼人id
     */
    private Long giverId;


    /**
     *收礼人id
     */
    private Long registrationInformationId;


    /**
     * 礼物id
     */
    private Long giftId;

    /**
     * 送礼时间
     */
    private Date giftGivingTime;

    public GiftRecord() {
    }

    public GiftRecord(Long giftRecordId, Long giverId, Long registrationInformationId, Long giftId, Date giftGivingTime) {
        this.giftRecordId = giftRecordId;
        this.giverId = giverId;
        this.registrationInformationId = registrationInformationId;
        this.giftId = giftId;
        this.giftGivingTime = giftGivingTime;
    }

    public Long getGiftRecordId() {
        return giftRecordId;
    }

    public void setGiftRecordId(Long giftRecordId) {
        this.giftRecordId = giftRecordId;
    }

    public Long getGiverId() {
        return giverId;
    }

    public void setGiverId(Long giverId) {
        this.giverId = giverId;
    }

    public Long getGiftId() {
        return giftId;
    }

    public void setGiftId(Long giftId) {
        this.giftId = giftId;
    }

    public Date getGiftGivingTime() {
        return giftGivingTime;
    }

    public void setGiftGivingTime(Date giftGivingTime) {
        this.giftGivingTime = giftGivingTime;
    }

    public Long getRegistrationInformationId() {
        return registrationInformationId;
    }

    public void setRegistrationInformationId(Long registrationInformationId) {
        this.registrationInformationId = registrationInformationId;
    }
}
