package com.four.common.duck.interrogation;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 健康咨询详情表
 */
public class ConsultationDetails {

    /**
     * 健康咨询详情id
     */
    private Long consultationDetailsId;

    /**
     * 健康咨询详情标题
     */
    private String consultationDetailsTitle;

    /**
     * 发布人
     */
    private Long userId;

    /**
     * 发布时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT-8")
    private Date releaseTime;

    /**
     * 内容
     */
    private String consultationDetailsContent;

    /**
     * 类型id
     */
    private Long consultationDetailsTypeId;

    /**
     * 图片
     */
    private String consultationDetailsImg;
    /**
     * 发布人名称
     */
    private String userName;


    public Long getConsultationDetailsId() {
        return consultationDetailsId;
    }

    public void setConsultationDetailsId(Long consultationDetailsId) {
        this.consultationDetailsId = consultationDetailsId;
    }

    public String getConsultationDetailsTitle() {
        return consultationDetailsTitle;
    }

    public void setConsultationDetailsTitle(String consultationDetailsTitle) {
        this.consultationDetailsTitle = consultationDetailsTitle;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Date getReleaseTime() {
        return releaseTime;
    }

    public void setReleaseTime(Date releaseTime) {
        this.releaseTime = releaseTime;
    }

    public String getConsultationDetailsContent() {
        return consultationDetailsContent;
    }

    public void setConsultationDetailsContent(String consultationDetailsContent) {
        this.consultationDetailsContent = consultationDetailsContent;
    }

    public Long getConsultationDetailsTypeId() {
        return consultationDetailsTypeId;
    }

    public void setConsultationDetailsTypeId(Long consultationDetailsTypeId) {
        this.consultationDetailsTypeId = consultationDetailsTypeId;
    }

    public String getConsultationDetailsImg() {
        return consultationDetailsImg;
    }

    public void setConsultationDetailsImg(String consultationDetailsImg) {
        this.consultationDetailsImg = consultationDetailsImg;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public ConsultationDetails() {
    }

    public ConsultationDetails(Long consultationDetailsId, String consultationDetailsTitle, Long userId, Date releaseTime, String consultationDetailsContent, Long consultationDetailsTypeId, String consultationDetailsImg, String userName) {
        this.consultationDetailsId = consultationDetailsId;
        this.consultationDetailsTitle = consultationDetailsTitle;
        this.userId = userId;
        this.releaseTime = releaseTime;
        this.consultationDetailsContent = consultationDetailsContent;
        this.consultationDetailsTypeId = consultationDetailsTypeId;
        this.consultationDetailsImg = consultationDetailsImg;
        this.userName = userName;
    }
}
