package com.four.common.duck.request;

import java.util.Date;

/**
 * @author: tongCheng
 * @Package: four-common-duck
 * @ClassName: AdvisoryCollectionRequest
 * @date: 2023-10-27 18:53
 **/
public class AdvisoryCollectionRequest {

    /**
     * 健康咨询收藏id
     */
    private Long advisoryCollectionId;

    /**
     * 咨询详情id
     */
    private Long consultationDetailsId;

    /**
     * 收藏时间
     */
    private Date advisoryCollectionTime;

    /**
     * 收藏人id
     */
    private Long userId;

    /**
     * 健康咨询详情标题
     */
    private String consultationDetailsTitle;

    /**
     * 发布人
     */
    private String userName;

    /**
     * 发布时间
     */
    private Date releaseTime;

    /**
     * 内容
     */
    private String consultationDetailsContent;

    /**
     * 类型
     */
    private Long consultationDetailsTypeId;

    /**
     * 类型
     */
    private String consultationDetailsTypeName;


    public Long getAdvisoryCollectionId() {
        return advisoryCollectionId;
    }

    public void setAdvisoryCollectionId(Long advisoryCollectionId) {
        this.advisoryCollectionId = advisoryCollectionId;
    }

    public Long getConsultationDetailsId() {
        return consultationDetailsId;
    }

    public void setConsultationDetailsId(Long consultationDetailsId) {
        this.consultationDetailsId = consultationDetailsId;
    }

    public Date getAdvisoryCollectionTime() {
        return advisoryCollectionTime;
    }

    public void setAdvisoryCollectionTime(Date advisoryCollectionTime) {
        this.advisoryCollectionTime = advisoryCollectionTime;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getConsultationDetailsTitle() {
        return consultationDetailsTitle;
    }

    public void setConsultationDetailsTitle(String consultationDetailsTitle) {
        this.consultationDetailsTitle = consultationDetailsTitle;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Date getReleaseTime() {
        return releaseTime;
    }

    public void setReleaseTime(Date releaseTime) {
        this.releaseTime = releaseTime;
    }

    public String getConsultationDetailsContent() {
        return consultationDetailsContent;
    }

    public void setConsultationDetailsContent(String consultationDetailsContent) {
        this.consultationDetailsContent = consultationDetailsContent;
    }

    public Long getConsultationDetailsTypeId() {
        return consultationDetailsTypeId;
    }

    public void setConsultationDetailsTypeId(Long consultationDetailsTypeId) {
        this.consultationDetailsTypeId = consultationDetailsTypeId;
    }

    public String getConsultationDetailsTypeName() {
        return consultationDetailsTypeName;
    }

    public void setConsultationDetailsTypeName(String consultationDetailsTypeName) {
        this.consultationDetailsTypeName = consultationDetailsTypeName;
    }

    public AdvisoryCollectionRequest() {
    }

    public AdvisoryCollectionRequest(Long advisoryCollectionId, Long consultationDetailsId, Date advisoryCollectionTime, Long userId, String consultationDetailsTitle, String userName, Date releaseTime, String consultationDetailsContent, Long consultationDetailsTypeId, String consultationDetailsTypeName) {
        this.advisoryCollectionId = advisoryCollectionId;
        this.consultationDetailsId = consultationDetailsId;
        this.advisoryCollectionTime = advisoryCollectionTime;
        this.userId = userId;
        this.consultationDetailsTitle = consultationDetailsTitle;
        this.userName = userName;
        this.releaseTime = releaseTime;
        this.consultationDetailsContent = consultationDetailsContent;
        this.consultationDetailsTypeId = consultationDetailsTypeId;
        this.consultationDetailsTypeName = consultationDetailsTypeName;
    }
}
